Link somebody they live with
The two in one household. If either lived with others, everybody joins the one household. Needs write on People.
POST
https://{organization}.rescueconsole.com
/
api
/
people
/
persons
/
{id}
/
household
Link somebody they live with
curl --request POST \
--url https://{organization}.rescueconsole.com/api/people/persons/{id}/household \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({person_id: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/people/persons/{id}/household', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/persons/{id}/household"
payload = { "person_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Link somebody they live with
curl --request POST \
--url https://{organization}.rescueconsole.com/api/people/persons/{id}/household \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({person_id: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/people/persons/{id}/household', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/persons/{id}/household"
payload = { "person_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"display_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
